LIBKYUTILS(3)

NAME
libkyutils - 单位进制转换组件

SYNOPSIS

  Enumerations
enum KDKUtilsErrCode { KDK_NOERR, KDK_INVAILD_BASE, KDK_INVAILD_ARGUMENT, KDK_INVAILD_DATA_FORMAT, KDK_SYSTEM_UNKOWNERR }
enum KDKVolumeBaseType { KDK_KILOBYTE = 1, KDK_MEGABYTE, KDK_GIGABYTE, KDK_TERABYTE, KDK_PETABYTE, KDK_EXABYTE, KDK_KILO, KDK_MEGA, KDK_GIGA, KDK_TERA, KDK_PETA, KDK_EXA }

  Functions
int kdkVolumeBaseCharacterConvert (const char *origin_data, KDKVolumeBaseType result_base, char *result_data)
字符格式单位进制转换
int kdkVolumeBaseNumericalConvert (double origin_numerical, KDKVolumeBaseType origin_base, KDKVolumeBaseType result_base, double *result_numerical)
数字格式单位进制转换

Detailed Description
单位进制转换组件

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdkVolumeBaseCharacterConvert() and kdkVolumeBaseNumericalConvert().

SEE ALSO
kdkVolumeBaseCharacterConvert(3) and kdkVolumeBaseNumericalConvert(3).

Author

Generated automatically by Doxygen for kyutils.h from the source code.